<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.chushang</groupId>
    <artifactId>chushang-common-bom</artifactId>
    <version>1.0.0</version>
    <packaging>pom</packaging>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <common.version>1.0.0</common.version>
    </properties>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-canal</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-core</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-data-scope</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-dict</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-easy-es</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-office</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-feign</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-mail</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-mongo</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-mq</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-mybatis</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-mybatis-plugin</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-log</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-job</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-redis</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-security</artifactId>
                <version>${common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.chushang</groupId>
                <artifactId>chushang-common-web</artifactId>
                <version>${common.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>
